org.eclipse.cdt.core.dom.ast

## Interface IASTFieldDeclarator

All Superinterfaces:
  IASTAttributeOwner, IASTDeclarator, IASTNameOwner, IASTNode

All Known Subinterfaces:
  ICPPASTFieldDeclarator

    public interface IASTFieldDeclarator
    extends IASTDeclarator

This represents a field in a struct. This allows for the specification of size for a bit field.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `FIELD_SIZE` `FIELD_SIZE` represents the relationship between a `IASTFieldDeclarator` and its `IASTExpression`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`DECLARATOR_NAME, EMPTY_DECLARATOR_ARRAY, INITIALIZER, NESTED_DECLARATOR, POINTER_OPERATOR`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTFieldDeclarator` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTFieldDeclarator` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTExpression` `getBitFieldSize()` Returns the number of bits if this is a bit field, otherwise `null`.
`void` `setBitFieldSize(IASTExpression size)` Sets the bitfield size.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarator

`addPointerOperator, getInitializer, getName, getNestedDeclarator, getPointerOperators, setInitializer, setName, setNestedDeclarator`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### FIELD_SIZE

    static final ASTNodeProperty FIELD_SIZE

`FIELD_SIZE` represents the relationship between a `IASTFieldDeclarator` and its `IASTExpression`.

### Method Detail

#### getBitFieldSize

    IASTExpression getBitFieldSize()

Returns the number of bits if this is a bit field, otherwise `null`.

Returns:
  size of bit field or null.

#### setBitFieldSize

    void setBitFieldSize(IASTExpression size)

Sets the bitfield size.

Parameters:
  `size` - `IASTExpression`

#### copy

    IASTFieldDeclarator copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclarator`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    IASTFieldDeclarator copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclarator`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3